Create a new price
Creates a new price for a product on a pricelist.
One product in a pricelist can have one price with no toDate. This is regarded as a fallback price if no price is found with a fromDate >= now() and toDate <= now()
No prices for one product can overlap in time.
Required permissions: PRICELIST
post/tenants/{tenantUid}/pricelists/{pricelistUid}/prices
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
pricelistUidstringRequiredPattern:
Reference to a Pricelist.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
fromDatestring · date-timeOptional
Optional. Will be set to current time if it is not in the request
toDatestring · date-timeOptional
Optional. Set to null if not in request.
priceintegerRequired
productUidstringRequiredPattern:
^[A-Za-z0-9-_]+priceUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
fromDatestring · date-timeRequired
toDatestring · date-timeRequired
priceintegerRequired
priceUidstringRequiredPattern:
^[A-Za-z0-9-_]+pricelistUidstringRequiredPattern:
^[A-Za-z0-9-_]+productExternalIdstringRequired
productUidstringRequiredPattern:
^[A-Za-z0-9-_]+productNamestringRequired
productRecommendedRetailPriceinteger · nullableRequired
productSkustringRequired
post/tenants/{tenantUid}/pricelists/{pricelistUid}/prices
POST /v2/tenants/{tenantUid}/pricelists/{pricelistUid}/prices HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 123
{
"fromDate": "2026-01-01T00:00:00.000Z",
"toDate": "2026-01-01T00:00:00.000Z",
"price": 1,
"productUid": "text",
"priceUid": "text"
}200
Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"fromDate": "2026-01-01T00:00:00.000Z",
"toDate": "2026-01-01T00:00:00.000Z",
"price": 1,
"priceUid": "text",
"pricelistUid": "text",
"productExternalId": "text",
"productUid": "text",
"productName": "text",
"productRecommendedRetailPrice": 1,
"productSku": "text",
"brand": {
"brandUid": "text",
"name": "text"
},
"productGroup": {
"productGroupUid": "text",
"name": "text",
"path": [
{
"name": "text",
"parentUid": "text",
"productGroupUid": "text"
}
]
}
}Last updated
Was this helpful?

